/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#include <fonts/ApplicationFontProvider.hpp>
#include <touchgfx/InternalFlashFont.hpp>

#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_42_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_27_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_21_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_18_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_28_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_30_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_54_4bpp();
extern touchgfx::InternalFlashFont& getFont_Roboto_Medium_30_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_110_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_60_4bpp();
extern touchgfx::InternalFlashFont& getFont_NotoSans_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_40_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_18_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_56_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_30_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_30_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_90_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_32_4bpp();
extern touchgfx::InternalFlashFont& getFont_Roboto_Bold_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Regular_38_4bpp();
extern touchgfx::InternalFlashFont& getFont_RobotoCondensed_Bold_42_4bpp();

touchgfx::Font* ApplicationFontProvider::getFont(touchgfx::FontId fontId)
{
  switch(fontId)
  {
    
    case Typography::DEMOVIEW_MCULOAD_TEXT:
      return &(getFont_RobotoCondensed_Bold_22_4bpp());
    
    case Typography::DEMOVIEW_MCULOAD_TEXT_TINY:
      return &(getFont_RobotoCondensed_Bold_22_4bpp());
    
    case Typography::GAME_2048_TEXT:
      return &(getFont_Asap_Regular_42_4bpp());
    
    case Typography::GAME_2048_MCU_LOAD:
      return &(getFont_Asap_Regular_13_4bpp());
    
    case Typography::CAROUSELHEADLINE:
      return &(getFont_Asap_Bold_otf_27_4bpp());
    
    case Typography::CAROUSELTEXT:
      return &(getFont_Asap_Regular_21_4bpp());
    
    case Typography::ANIMATINGBUTTONSTEXT:
      return &(getFont_Asap_Regular_18_4bpp());
    
    case Typography::GAME_2D_TEXT:
      return &(getFont_Asap_Regular_20_4bpp());
    
    case Typography::GAME_2D_HEADER:
      return &(getFont_Asap_Bold_otf_20_4bpp());
    
    case Typography::GAME_2D_SCORE_VALUE:
      return &(getFont_Asap_Regular_28_4bpp());
    
    case Typography::CONTROLS_HEADLINE:
      return &(getFont_RobotoCondensed_Bold_30_4bpp());
    
    case Typography::CONTROLS_READOUT:
      return &(getFont_RobotoCondensed_Regular_54_4bpp());
    
    case Typography::CONTROLS_READOUT_SUBSCRIPT_SMALL:
      return &(getFont_Roboto_Medium_30_4bpp());
    
    case Typography::CONTROLS_READOUT_LARGE:
      return &(getFont_RobotoCondensed_Regular_110_4bpp());
    
    case Typography::CONTROLS_READOUT_SUBSCRIPT_MEDIUM:
      return &(getFont_RobotoCondensed_Bold_60_4bpp());
    
    case Typography::MEDIA_PLAY_TIME:
      return &(getFont_NotoSans_Regular_22_4bpp());
    
    case Typography::EQUALIZER_BAND_READOUT:
      return &(getFont_RobotoCondensed_Bold_20_4bpp());
    
    case Typography::EQUALIZER_LOUDNESS_READOUT:
      return &(getFont_RobotoCondensed_Regular_40_4bpp());
    
    case Typography::AUDIO_PLAYLIST_LARGE:
      return &(getFont_RobotoCondensed_Regular_20_4bpp());
    
    case Typography::AUDIO_PLAYLIST_SMALL:
      return &(getFont_RobotoCondensed_Regular_18_4bpp());
    
    case Typography::SETTINGS_DIGITAL_CLOCK:
      return &(getFont_RobotoCondensed_Bold_56_4bpp());
    
    case Typography::SETTINGS_MAIN_DATE_YEAR:
      return &(getFont_RobotoCondensed_Bold_30_4bpp());
    
    case Typography::SETTINGS_MAIN_DATE_MONTH:
      return &(getFont_RobotoCondensed_Bold_30_4bpp());
    
    case Typography::SETTINGS_MAIN_DATE_DAY:
      return &(getFont_RobotoCondensed_Bold_90_4bpp());
    
    case Typography::HOMECONTROL_LOGIN_HEADER:
      return &(getFont_RobotoCondensed_Bold_22_4bpp());
    
    case Typography::HOMECONTROL_LOGIN_BANNER:
      return &(getFont_RobotoCondensed_Regular_22_4bpp());
    
    case Typography::HOMECONTROL_PRECENT_VALUE:
      return &(getFont_RobotoCondensed_Bold_32_4bpp());
    
    case Typography::HOMECONTROL_PERCENT_SIGN:
      return &(getFont_Roboto_Bold_22_4bpp());
    
    case Typography::DATE_PICKER:
      return &(getFont_RobotoCondensed_Regular_38_4bpp());
    
    case Typography::DATE_PICKER_SELECTED:
      return &(getFont_RobotoCondensed_Bold_42_4bpp());
    
    default:
      return 0;
  }
}
